Bug 1115241 - display put to sleep before init completes (& stays black)
Summary: display put to sleep before init completes (& stays black)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: rawhide
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-02 02:54 UTC by Felix Miata
Modified: 2014-08-29 08:47 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 04:30:24 UTC


Attachments (Terms of Use)
dmesg from remote login on i945G with rc3.git0.1 (58.82 KB, text/plain)
2014-07-02 02:54 UTC, Felix Miata
no flags Details

Description Felix Miata 2014-07-02 02:54:15 UTC
Created attachment 913965 [details]
dmesg from remote login on i945G with rc3.git0.1

gfxchips causing sleep that does not occur with radeon or nvidia chips:
i845G
i865G
i915G
i945G
i4000 series

Both 32 bit and 64 bit kernels.

Prior failing:
kernel-3.16.0-0.rc2.git0.1.fc21

Recent working:
kernel-3.16.0-0.rc2.git2.1.fc21 and all of 3.15.*

Latest failing:
kernel-3.16.0-0.rc3.git0.1.fc21
on:
VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

Latest failing cmdline:
ipv6.disable=1 noplymouth plymouth.disable=1 noresume selinux=0 splash=verbose 3 drm.debug=15

I try to keep all instances of *lymout* off my installations, but sometimes they sneak in, hence the cmdline statements. Normally I have vga=791 video=1024x768@60 on my cmdlines, but I remove at runtime to please Adam that they are not a factor. Leaving 3 off or replacing 3 with 5 on cmdline does not help.

Comment 1 Josh Boyer 2014-07-02 12:10:38 UTC
(In reply to Felix Miata from comment #0)
> Created attachment 913965 [details]
> dmesg from remote login on i945G with rc3.git0.1
> 
> gfxchips causing sleep that does not occur with radeon or nvidia chips:
> i845G
> i865G
> i915G
> i945G
> i4000 series

You have tested machines with all of those?  I have several machines with intel GPUs that work fine.

You might have a faster response sending the output directly to intel-gfx@lists.freedesktop.org and dri-devel@lists.freedesktop.org

Comment 2 Felix Miata 2014-07-02 13:44:28 UTC
(In reply to Josh Boyer from comment #1)
> You have tested machines with all of those?

Not with every post-3.15 kernel that has hit the mirrors. Only two ever got a 3.16 kernel that doesn't or didn't have the problem. All 5 have and/or had 3.16s that have the problem. Their main collective purpose is ensuring support for old hardware doesn't spontaneously combust.

>  I have several machines with intel GPUs that work fine.

How many more than 5 years old?
 
> You might have a faster response sending the output directly to

I'm in no hurry. :-)

> intel-gfx@lists.freedesktop.org 

Being a subscriber for some years there I've been under the impression that it's about the Intel X driver, and this happens whether or not ever starting or trying to start X. Most of what I see there goes over my head, but there has been plenty black screen talk lately.

> and dri-devel@lists.freedesktop.org

Must investigate...

Comment 3 Felix Miata 2014-07-02 21:52:16 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=80832 filed upstream.

Comment 4 Felix Miata 2014-07-09 04:28:56 UTC
Was still broke with 3.16.0-0.rc3.git3.1, but I just upgraded kernel only on i945 to 3.16.0-0.rc4.git0.1 which fixed this, expected based on comment 6 in upstream DRI bug.

Comment 5 Onyeibo Oku 2014-08-26 08:10:41 UTC
I think I just hit this bug on:
xorg-x11-drv-intel.x86_64               2.99.914-2.fc22

libGL error: Version 4 or later of flush extension not found
libGL error: failed to load driver: i915

.... then a sad computer icon with a message asking me to log out

Comment 6 Adam Williamson 2014-08-27 04:13:00 UTC
No, that doesn't sound like the same thing as the OP described, I'd file it separately if I were you.


Note You need to log in before you can comment on or make changes to this bug.